> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve meta data of a StringToken

> This method allows you to retrieve the meta data of a StringToken.
The response to this method will **not** retrieve the content of the StringToken (you can do that by using `GET /StringTokens/{token}`)

<Card title="Tokenization Guide" icon="book" href="/guides/rest-api/tokenization">
  Complete guide with token metadata and lifecycle management
</Card>


## OpenAPI

````yaml get /StringTokens/{token}/meta
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /StringTokens/{token}/meta:
    get:
      tags:
        - StringTokens
      summary: Retrieve meta data of a StringToken
      description: >-
        This method allows you to retrieve the meta data of a StringToken.

        The response to this method will **not** retrieve the content of the
        StringToken (you can do that by using `GET /StringTokens/{token}`)
      operationId: StringTokenRetrieveMetaData
      parameters:
        - name: token
          in: path
          description: Token representing the string to be retrieved
          required: true
          schema:
            pattern: '[A-Za-z0-9]{32}'
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PayTools_Api.Models.StringTokenMetaDataOutputModel
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
        '404':
          description: Not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PayTools_Api.Models.StringTokenMetaDataOutputModel:
      type: object
      properties:
        token:
          type: string
          description: Token ID representing the stringToken
          nullable: true
        createTime:
          type: string
          description: Date and time the string was stored
          format: date-time
      additionalProperties: false
      description: Model for display a string token meta-data
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````